package router

import "github.com/gorilla/mux"

func New() *MainRouter {
	r := &MainRouter{}
	r.SetMux()
	return r
}

func (r *MainRouter) SetMux() {
	r.Mux = mux.NewRouter()
}

type MainRouter struct {
	Subrouters Subrouters
	Mux        *mux.Router
}
type Subrouters map[string]SubRouter
type SubRouter struct {
	Name  string
	Group string
	*mux.Router
}
